package es.ejie.frmk.infraestructura.logs.base;

/**
 * Q70Log interno para verificar el correcto funcionamiento del codigo asociado
 * a los componentes de Q70Log y Tracer.
 * @author Carlos Rodriguez
 * @version 1.0  fecha: 10-dic-03
 */
public class Q70LogInterno
{
	private static final String LOG_PREFIX = "Q70Log Trace: ";

	protected static boolean isLogEnabled = true;

	/**
	 * <p>Permite habilitar o deshabilitar la función de logging interna.</p>
	 * <p>La clase unicamente habilita o deshabilita la salida por consola de
	 * un mensaje</p>
	 * <p>Tipicamente será activado por el Q70Log Manager al leer la configuración
	 * de un fichero xml</p>
	 * @param enabled true para ativar, false para desactivar.
	 * 
	 */
	static public void setEnabled(boolean enabled)
	{
		isLogEnabled = enabled;
		
	}
	/**
	 * indica cuando se escribirán las trazas.
	 * @return true si está activo, false en caso contrario
	 */
	static public boolean isEnabled()
	{
		return isLogEnabled;
	}

	/**
	 * Escribe en el log si está habilitado.
	 * @param message
	 */
	public static void log(String message)
	{
		if (isLogEnabled)
		{
			System.out.println(LOG_PREFIX + message);
		}
	}

}
